package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.enums.GroupType;
import com.ym.mec.biz.dal.enums.SignInStatusEnum;
import com.ym.mec.biz.dal.enums.StudentAttendanceStatusEnum;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Author zouxuan
 */
public class ExportStudentAttendanceDto {
    @ApiModelProperty(value = "分部编号", required = true)
    private String organId;

    @ApiModelProperty(value = "分部名称", required = true)
    private String organName;

    @ApiModelProperty(value = "课程类型", required = true)
    private GroupType groupType;

    @ApiModelProperty(value = "学生姓名", required = true)
    private String username;

    @ApiModelProperty(value = "学生编号", required = true)
    private String userId;

    @ApiModelProperty(value = "课程组编号", required = true)
    private String groupId;

    @ApiModelProperty(value = "课程组名称", required = true)
    private String groupName;

    @ApiModelProperty(value = "课程编号", required = true)
    private Long courseScheduleId;

    @ApiModelProperty(value = "课程名称", required = true)
    private String courseScheduleName;

    @ApiModelProperty(value = "上课时间", required = true)
    private String classDate;

    @ApiModelProperty(value = "上课开始时间", required = true)
    private String startClassTime;

    @ApiModelProperty(value = "上课结束时间", required = true)
    private String endClassTime;

    @ApiModelProperty(value = "指导老师名称", required = true)
    private String guideTeacherName;

    @ApiModelProperty(value = "指导老师编号", required = true)
    private Integer guideTeacherId;

    @ApiModelProperty(value = "教务老师编号", required = true)
    private Integer educationalTeacherId;

    @ApiModelProperty(value = "教务老师名称", required = true)
    private String educationalTeacherName;

    @ApiModelProperty(value = "授课老师编号", required = true)
    private Integer actualTeacherId;

    @ApiModelProperty(value = "授课老师名称", required = true)
    private String actualTeacherName;

    @ApiModelProperty(value = "学员考勤状态", required = true)
    private StudentAttendanceStatusEnum studentAttendanceStatus;

    public Integer getActualTeacherId() {
        return actualTeacherId;
    }

    public void setActualTeacherId(Integer actualTeacherId) {
        this.actualTeacherId = actualTeacherId;
    }

    public String getActualTeacherName() {
        return actualTeacherName;
    }

    public void setActualTeacherName(String actualTeacherName) {
        this.actualTeacherName = actualTeacherName;
    }

    public String getOrganId() {
        return organId;
    }

    public void setOrganId(String organId) {
        this.organId = organId;
    }

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public GroupType getGroupType() {
        return groupType;
    }

    public void setGroupType(GroupType groupType) {
        this.groupType = groupType;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getGroupId() {
        return groupId;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public Long getCourseScheduleId() {
        return courseScheduleId;
    }

    public void setCourseScheduleId(Long courseScheduleId) {
        this.courseScheduleId = courseScheduleId;
    }

    public String getCourseScheduleName() {
        return courseScheduleName;
    }

    public void setCourseScheduleName(String courseScheduleName) {
        this.courseScheduleName = courseScheduleName;
    }

    public String getClassDate() {
        return classDate;
    }

    public void setClassDate(String classDate) {
        this.classDate = classDate;
    }

    public String getStartClassTime() {
        return startClassTime;
    }

    public void setStartClassTime(String startClassTime) {
        this.startClassTime = startClassTime;
    }

    public String getEndClassTime() {
        return endClassTime;
    }

    public void setEndClassTime(String endClassTime) {
        this.endClassTime = endClassTime;
    }

    public String getGuideTeacherName() {
        return guideTeacherName;
    }

    public void setGuideTeacherName(String guideTeacherName) {
        this.guideTeacherName = guideTeacherName;
    }

    public Integer getGuideTeacherId() {
        return guideTeacherId;
    }

    public void setGuideTeacherId(Integer guideTeacherId) {
        this.guideTeacherId = guideTeacherId;
    }

    public Integer getEducationalTeacherId() {
        return educationalTeacherId;
    }

    public void setEducationalTeacherId(Integer educationalTeacherId) {
        this.educationalTeacherId = educationalTeacherId;
    }

    public String getEducationalTeacherName() {
        return educationalTeacherName;
    }

    public void setEducationalTeacherName(String educationalTeacherName) {
        this.educationalTeacherName = educationalTeacherName;
    }

    public StudentAttendanceStatusEnum getStudentAttendanceStatus() {
        return studentAttendanceStatus;
    }

    public void setStudentAttendanceStatus(StudentAttendanceStatusEnum studentAttendanceStatus) {
        this.studentAttendanceStatus = studentAttendanceStatus;
    }
}
